org.apache.catalina.tribes.io

## Interface BufferPool.BufferPoolAPI

- Enclosing class:
    BufferPool

      public static interface BufferPool.BufferPoolAPI

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `XByteBuffer` | `getBuffer(int minSize, boolean discard)`
    `void` | `returnBuffer(XByteBuffer buffer)`
    `void` | `setMaxSize(int bytes)`

- - ### Method Detail

    - #### setMaxSize

          void setMaxSize(int bytes)

    - #### getBuffer

          XByteBuffer getBuffer(int minSize,
                                boolean discard)

    - #### returnBuffer

          void returnBuffer(XByteBuffer buffer)

    - #### clear

          void clear()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.